• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

What're the best versions of J2SDK and J2ME toolkit?

 
HaoZhe Xu
Ranch Hand
Posts: 222
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The latest J2SDK version is 1.5, but I'm not sure wether or not the MIDlet compiled by 1.5 can be used on Java phones.
and, what version of toolkit is the best? The latest is 2.3 beta, but 2.1 seems to have more downloads than 2.2

thanks in advance
 
Mark Spritzler
ranger
Sheriff
Posts: 17278
6
IntelliJ IDE Mac Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Yes J2ME does not have the features of Java 5.0

The latest Wireless Toolkit in my mind is always the best, it just keeps adding support for more JSRs. SO if you had a MIDlet with Location based services, only the 2.3 Beta will have the Location Based JSR included, all the others will fail and throw compilation errors to your code that uses this JSR.

Mark
 
William Frantz
Ranch Hand
Posts: 102
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
You should consider your target device/carrier. For example, Sprint distributes their own WTKs that include Sprint specific extensions to the standard APIs. If you are developing for Sprint devices, you don't want to use any of the Sun WTKs. You need to find the WTK that most closely matches your device.

William Frantz
http://SprintDevelopers.com
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic